<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Firefly</Series>
  <Number>28</Number>
  <Web>https://www.comixology.com/Firefly-28/digital-comic/929808</Web>
  <Summary>* New Characters! New Enemies! The new era continues, as the crew of Serenity make one last ditch effort to stop the Blue Sun's plan to close off the 'verse!

* But this means Kaylee must work together with the last person she expected.

* And when things are done, no one will be where they thought they would be...</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB929808], [ASINB08ZKJ3BXS]</Notes>
  <Publisher>BOOM! Studios</Publisher>
  <Genre>Action/Adventure, Movies &amp; TV</Genre>
  <PageCount>26</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation>Pirate-Empire</ScanInformation>
  <Year>2021</Year>
  <Month>4</Month>
  <Day>28</Day>
  <Writer>Greg Pak</Writer>
  <Penciller>Ethan Young</Penciller>
  <CoverArtist>Bengal</CoverArtist>
  <Pages>
    <Page Image="0" Type="FrontCover" ImageSize="3040476" ImageHeight="3056" ImageWidth="1988" />
    <Page Image="1" ImageSize="1706001" ImageHeight="3056" ImageWidth="1988" />
    <Page Image="2" ImageSize="1795384" ImageHeight="3056" ImageWidth="1988" />
    <Page Image="3" ImageSize="1307954" ImageHeight="3056" ImageWidth="1988" />
    <Page Image="4" ImageSize="1616148" ImageHeight="3056" ImageWidth="1988" />
    <Page Image="5" ImageSize="1655692" ImageHeight="3056" ImageWidth="1988" />
    <Page Image="6" ImageSize="1648306" ImageHeight="3056" ImageWidth="1988" />
    <Page Image="7" ImageSize="1178297" ImageHeight="3056" ImageWidth="1988" />
    <Page Image="8" ImageSize="1638381" ImageHeight="3056" ImageWidth="1988" />
    <Page Image="9" ImageSize="1810085" ImageHeight="3056" ImageWidth="1988" />
    <Page Image="10" ImageSize="1544252" ImageHeight="3056" ImageWidth="1988" />
    <Page Image="11" ImageSize="1824804" ImageHeight="3056" ImageWidth="1988" />
    <Page Image="12" ImageSize="1656612" ImageHeight="3056" ImageWidth="1988" />
    <Page Image="13" ImageSize="2022013" ImageHeight="3056" ImageWidth="1988" />
    <Page Image="14" ImageSize="2193208" ImageHeight="3056" ImageWidth="1988" />
    <Page Image="15" ImageSize="1772978" ImageHeight="3056" ImageWidth="1988" />
    <Page Image="16" ImageSize="2015099" ImageHeight="3056" ImageWidth="1988" />
    <Page Image="17" ImageSize="1851002" ImageHeight="3056" ImageWidth="1988" />
    <Page Image="18" ImageSize="1573424" ImageHeight="3056" ImageWidth="1988" />
    <Page Image="19" ImageSize="1855342" ImageHeight="3056" ImageWidth="1988" />
    <Page Image="20" ImageSize="1858376" ImageHeight="3056" ImageWidth="1988" />
    <Page Image="21" ImageSize="1596517" ImageHeight="3056" ImageWidth="1988" />
    <Page Image="22" ImageSize="1387274" ImageHeight="3056" ImageWidth="1988" />
    <Page Image="23" ImageSize="1615788" ImageHeight="3056" ImageWidth="1988" />
    <Page Image="24" ImageSize="1499294" ImageHeight="3056" ImageWidth="1988" />
    <Page Image="25" ImageSize="762232" ImageHeight="3056" ImageWidth="1988" />
  </Pages>
</ComicInfo>
